lab4/urls.py
from django.conf.urls import url
from .views import *

app_name = 'lab4'
urlpatterns = [
    url(r'^$', firstdesign, name="firstdesign"),
    url(r'^biodata$', biodata, name="biodata"),
    url(r'^form$', form, name="form"),
    url(r'^jadwal/$', jadwal, name="jadwal"),
    url(r'^createPost$', createPost, name="createPost"),
    url(r'^delete$', delete, name="delete"),
    url(r'^subs', subs, name='subs'),
]

lab6/urls.py
from django.conf.urls import url
from .views import *

app_name = 'lab6'
urlpatterns = [
    url(r'^$', landing, name="landing"),
    url(r'^profile/', profile, name="profile"),
    url(r'^belong/', belong, name="belong"),    
]

lab_ppw/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('lab4/', include('lab4.urls')),
    path('lab6/', include('lab6.urls')),
    path('story9/', include('story9.urls')),
]

story9/urls.py
from django.conf.urls import url
from .views import *

app_name = 'story9'
urlpatterns = [
    url(r'^$', buku, name="buku"),
]

lab4/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime

class Schedule(models.Model):
    day = models.CharField(max_length = 10)
    date = models.DateField()
    time = models.TimeField()
    activity = models.CharField(max_length = 40)
    place = models.CharField(max_length = 30)
    category = models.CharField(max_length = 15)

class Regis(models.Model):
    name = models.CharField(max_length = 40)
    email = models.EmailField(max_length = 40)
    password = models.CharField(max_length = 40)

lab6/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime
# Create your models here.

class Status(models.Model):
    post = models.CharField(max_length = 300)
    time = models.TimeField(default = datetime.now())

class Regis(models.Model):
    name = models.CharField(max_length = 40)
    email = models.EmailField(max_length = 40)
    password = models.CharField(max_length = 40)

story9/models.py
from django.db import models

# Create your models here.

lab4/forms.py
from django import forms
class Schedule_Form(forms.Form):
    
    activity =  forms.CharField(label ='Activity' , max_length=40, widget=forms.TextInput(attrs={
        "class":"form-control"
    }))
    day = forms.CharField(label='Day',  max_length=10, widget=forms.TextInput(attrs={
        "class":"form-control"
    }))
    date = forms.DateField(label='Date' , widget=forms.DateInput(attrs={
        "class":"form-control"
    }))
    time = forms.TimeField(label='Time' , widget=forms.TimeInput(attrs={
        "class":"form-control"
    }))
    place = forms.CharField(label='Place' , max_length=30, widget=forms.TextInput(attrs={
        "class":"form-control"
    }))
    category = forms.CharField(label='Category' , max_length=15, widget=forms.TextInput(attrs={
        "class":"form-control"
    }))

class Regis_form(forms.Form):
    name = forms.CharField(max_length=40, widget=forms.TextInput(attrs={
        "class":"fields",
        "required":True,
        "placeholder":"Name",
        "id":"name-field"
    }))
    email = forms.EmailField(max_length=40, widget=forms.EmailInput(attrs={
        "class":"fields",
        "oninput":'checkEmail(event)',
        "required":True,
        "placeholder":"Email",
        "id":"email-field"
    }))
    password = forms.CharField(max_length=40, widget=forms.PasswordInput(attrs={
        "class":"fields",
        "required":True,
        "placeholder":"Password",
        "id":"pass-field"
    }))

lab6/forms.py
from django import forms

class Status_form(forms.Form):
    post =  forms.CharField(max_length=300, widget=forms.TextInput(attrs={
        "class":"fields",
        "required":True,
        "placeholder":"What do you think?"
    }))

lab4/views.py
from django.shortcuts import render,redirect
from .forms import Schedule_Form, Regis_form
from .models import Schedule, Regis
import requests
import json
from django.http import JsonResponse
# Create your views here.

def firstdesign(request):
    response = {}
    return render(request, 'firstdesign.html',)

def biodata(request):
    response = {}
    return render(request, 'biodata.html',)

def form(request):
    response = {}
    return render(request, 'form.html',)

def jadwal(request):
    jadwal = Schedule.objects.all().values()
    response = {'jadwal' : jadwal}
    return render(request, 'jadwal.html', response)

def delete(request):
    jadwal = Schedule.objects.all().delete()
    return redirect("jadwal/")
    
def delete(request):
    jadwal = Schedule.objects.all().delete()
    return redirect("jadwal/")
    
def createPost(req):
    if req.method == 'POST':
        form = Schedule_Form(req.POST)
        if form.is_valid():
            schedule = Schedule()
            schedule.activity = form.cleaned_data['activity']
            schedule.place = form.cleaned_data['place']
            schedule.time = form.cleaned_data['time']
            schedule.day = form.cleaned_data['day']
            schedule.date = form.cleaned_data['date']
            schedule.category = form.cleaned_data['category']
            schedule.save()

        return redirect('jadwal/')


    else:
        form = Schedule_Form()
        return render(req, 'formjadwal.html', {'form' : form})

def subs(req):
    if req.method == 'POST' and req.is_ajax():
        data = json.loads(req.body)
        if data['type'] == 'check':
            is_exist = Regis.objects.all().filter(email=data['email']).exists()
            return JsonResponse({'already':is_exist})
        else :
            Regis.objects.create(name = data['name'], email = data['email'], password = data['password'])
    else:
        forms = Regis_form()
        return render(req, 'subs.html', {'forms' : forms})

lab6/views.py
from django.shortcuts import render, redirect
from .forms import Status_form
from .models import Status
from datetime import datetime

def landing(request):
    statuses = Status.objects.all().values()
    form = Status_form(request.POST)
    if form.is_valid():
        status = Status()
        status.post = form.cleaned_data['post']
        status.time = datetime.now()
        status.save()
        form = Status_form()
    return render(request, 'landing.html', {'form' : form, 'statuses':statuses})

def profile(request):
    response = {}
    return render(request, 'profile.html', response)

def belong(request):
    response = {}
    return render(request, 'belongings.html', response)

story9/views.py
from django.shortcuts import render
import requests
import json
from django.http import JsonResponse
# Create your views here.
def buku(request):
    if request.method == 'POST' and request.is_ajax():
        adata = json.loads(request.body)
        new_count = int(adata['count']) + 1
        return JsonResponse({'count' : str(new_count)})
    else:
        apis = requests.get("https://www.googleapis.com/books/v1/volumes?q=quilting")
        bukus = apis.json()
        return render(request, 'book.html', {"bukus" : bukus})

lab4/templates/biodata.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
    <head>

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static "stylefirstproject.css" %}">
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Dunno bro</title>
    
    </head>
    <body class="second">
        <header class="text-center full-height2 d-flex align-items-center justify-content-center">
            {% include "header.html" %}        
        </header>

        <section class="container biodata">
            <h2 class="bio_head text-center">Biodata :</h2>
            <div class="row">
                <section class="col text-center justify-content-center">
                    <img class="profile_img" src="{% static "images/Screenshot_2018-09-18 Marvel - My First Project(3).png" %}">
                    <p class="bio_text">Name : Yosafat Tri Putra Brata</p>
                    <p class="bio_text">Gender : Male</p>
                    <p class="bio_text">Birthday : 24 January 1999</p>
                    <p class="bio_text">Birthplace : Jambi, Indonesia</p>
                    <p class="bio_text">Occupation : College Student</p>
                    <a href="{% url 'firstdesign' %}"><button type="button" class="btn btn-dark button4" onclick="location.href = '{% static "images/firstdesign.html" %}';">
                    Back to Main Page
                    </button></a>
                </section>
            </div>
        </section>

        <footer>
                {% include "footer.html" %}
        </footer>

    </body>
</html>

lab4/templates/firstdesign.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
    <head>

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static "stylefirstproject.css" %}">
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">

        
        <title>Dunno bro</title>
    
    </head>
    <body>

        <header class="text-center full-height d-flex align-items-center justify-content-center">
            {% include "header.html" %}
        </header>

        <section class="container">

            <div class="row" style="margin-bottom: 80px">
                <section class="col profile text-center justify-content-center">
                    <img class="profile_img" src="{% static "images/Screenshot_2018-09-18 Marvel - My First Project(3).png" %}">
                    <h2>
                        Name : Yosafat Tri Putra Brata <br>
                        Description : I'm currently studying in University of Indonesia.
                        I am  looking forward to learn more about the world and programming.
                    </h2>
                </section>
            </div>
        </section>
                
        <section class="container">

            <div class="row" style="margin-bottom: 80px">
                
                <section class="col text-center trackrecord">
                    <h2>Track Record :</h2>
                    
                    <h2>Graduated from :<br>
                    Xaverius 1 Jambi Elementary School<br>
                    Xaverius 1 Jambi Jenior High School<br>
                    Xaverius 1 Jambi Senior High School<br>
                    Currently studying at :<br>
                    University of Indonesia<br>
                    Skills :<br>
                    Coding in Python and Java<br>
                    Playing Bass<br>
                    Playing Guitar<br>
                    </h2>
                </section> 
            </div>
            

        </section>


        <section class="container mt-5 like">
            <h3 class="text-center">What I Like:</h3>
            <div class="row">
                
                <section class="text-center col col-md-3 retro">
                    <img src="{% static "images/Screenshot_2018-09-18 Marvel - My First Project(5).png" %}">
                    <p>Retro Games</p>
                </section>
                
                <section class="text-center col col-md-3 retro">
                    <img  src="{% static "images/Screenshot_2018-09-18 Marvel - My First Project(1).png" %}">
                    <p>Learn to play and<br>
                    listening to Music</p>
                </section>
                <section class="text-center col col-md-3 retro">
                    <img src="{% static "images/Screenshot_2018-09-18 Marvel - My First Project(2).png" %}">
                    <p>Watching shows</p>
                </section>
            </div>

            <div class="row" style="width: 80%;margin: 0 auto">
                <section class="col col-md-6 contact text-center">
                    <p class="me">
                        <span>
                            Contact me:
                        </span>
                        <a href=""><img class="contact_button" src="{% static "images/square-linkedin-512.png" %}"></a>
                        <a href=""><img class="contact_button" src="{% static "images/1891029.png" %}"></a>
                        <a href=""><img class="contact_button" src="{% static "images/697057-facebook-512.png" %}"></a>
                        <a href=""><img class="contact_button" src="{% static "images/twitter.png" %}"></a>
                    </p>
                </section>
                <section class="col col-md-6 text-center mt-3">
                    <a href="{% url 'lab4:firstdesign' %}"> <button type="button" class="btn btn-dark button1" >
                        Back to Top
                    </button> </a> <br>
                    <a href="{% url 'lab4:biodata' %}"> <button type="button" class="btn btn-dark button2">
                        Biodata
                    </button> </a> <br>
					<a href="{% url 'lab4:subs' %}"><input type="button" class="btn btn-info button3" value="Subscribe"> </a>
                </section>
            </div>
        </section>

        <footer>
                {% include "footer.html" %}
        </footer> 

    
    </body>
</html>

lab4/templates/footer.html
<div class="copyright">
    <p class="copy_text">(C)Copyright 2018 Yosafat Tri Putra Brata</p>
</div>

lab4/templates/form.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
    <head>

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
		<link rel="stylesheet" href="{% static "stylefirstproject.css" %}">
		<meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Dunno bro</title>
    
    </head>
    <body class="second">
        <header class="text-center full-height2 d-flex align-items-center justify-content-center">
			{% include "header.html" %}        
        </header>

        <section class="container biodata">
            <h2 class="bio_head form-group text-center justify-content-center">Form:</h2>
            <div class="row">
                <section class="col col-md-12  align-items-center">
					<form>
						<div class="form-group text-center justify-content-center">
							<label for="usr">Name:</label>
							<input type="text" class="form-control" id="usr">
						</div>
						<div class="form-group text-center justify-content-center">
							<label for="birthday">Birthday:</label>
							<input type="date" class="form-control" id="birthday">
						</div>
						<div class="form-group text-center justify-content-center">
							<label for="email_user">Email:</label>
							<input type="email" class="form-control" id="email_user" placeholder="Enter email">
						</div>
						<div class="form-group text-center justify-content-center">
							<label for="username">Username:</label>
							<input type="text" class="form-control" id="username">
						</div>
						<div class="form-group text-center justify-content-center">
							<label for="pwd">Password:</label>
							<input type="password" class="form-control" id="pwd">
						</div>
						<div class="form-group text-center justify-content-center">
							<label for="confirm">Password Confirmation:</label>
							<input type="password" class="form-control" id="confirm">
						</div>
						<a href="{% url 'firstdesign' %}"><button type="button" class="btn btn-info" data-toogle="modal" data-target="#exampleModalCenter">Submit</button></a>
					</form>
            </div>
        </section>
		
		<footer>
				{% include "footer.html" %}
		</footer>

    </body>
</html>

lab4/templates/formjadwal.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
    <head>

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
		<link rel="stylesheet" href="{% static "stylefirstproject.css" %}">
		<meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Dunno bro</title>
    
    </head>
    <body class="second">
        <header class="text-center full-height2 d-flex align-items-center justify-content-center">
			{% include "header.html" %}        
        </header>

        <section class="container biodata">
            <h2 class="bio_head form-group text-center justify-content-center">Insert your schedule:</h2>
            <div class="row">
                <section class="col col-md-12  align-items-center">
					<form method="POST" action="">
                        {% csrf_token %}
                        {{ form }}
                        <input type="submit" class="btn btn-info button_form" value="Submit">
                    </form>
            </div>
        </section>
		
		<footer>
				{% include "footer.html" %}
		</footer>

    </body>
</html>

lab4/templates/header.html
    <div>
        <h1>Hello, I'm Yosafat Tri Putra Brata</h1>
        <h2>This is my website</h2>
    </div>

lab4/templates/jadwal.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
    <head>

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
		<link rel="stylesheet" href="{% static 'stylefirstproject.css' %}">
		<meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Dunno bro</title>
    
    </head>
    <body class="second">
        <header class="text-center full-height2 d-flex align-items-center justify-content-center">
			{% include "header.html" %}        
        </header>

        <section class="container biodata">
            <h2 class="bio_head form-group text-center justify-content-center">Schedule:</h2>
            <div class="row">
                {% for activity in jadwal %}
                <div class="col col-md-4 activity_box bio_head align-items-center">
                    <p>Activity : {{ activity.activity }}<br>
                    Place : {{ activity.place }}<br>
                    Time : {{ activity.time }}<br>
                    Day : {{ activity.day }}<br>
                    Date : {{ activity.date }}<br>
                    Category : {{ activity.category }}</p>
                </div>
                {% endfor %}
            </div>
            <a href="{% url 'lab4:createPost' %}" class="btn btn-dark button4">Submit schedule again</a>
            <a href="{% url 'lab4:delete' %}" class="btn btn-danger button4">Delete all schedule</a>
					
            </div>
        </section>
		
		<footer>
				{% include "footer.html" %}
		</footer>

    </body>
</html>

lab4/templates/subs.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static "stylefirstproject.css" %}">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Subscribe to PewDiePie</title>
    <script type="text/javascript" src="{% static 'regis.js' %}"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
</head>
<body class="mt-5 second">
    <section class="container biodata">
    <h2 class="bio_head form-group text-center justify-content-center">Subscriber's Data</h2>
    <div class="row">
    <section class="col col-md-12 align-items-center">
        <form method="POST" action="">
            {% csrf_token %}
                {% for field in forms.visible_fields %}
                <br>
                 <div class="mb-3 text-center justify-content-center">
                    {{ field }}
                </div>
                {% endfor %}
                <br>
            <button class="btn btn-info ml-5" id='buttonlmao' onclick="form()">Submit</button>
            <p id="respond" class="text-center justify-content-center"></p>
        </form>
    </section>
</body>
</html>

lab6/templates/belongings.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link id="page-style" type="text/css" rel="stylesheet" href="{% static 'style.css' %}">
    <title>Hello!</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    
    <script type="text/javascript" src="{% static 'themescript.js' %}"></script>
    <script>
        var original_theme = "{% static 'style.css' %}";
        var alternate_theme = "{% static 'style2.css' %}";
    </script>
    <script>
    $(function() {
    $(".accordion").accordion();
    });
    var myVar;

    function myFunction() {
        myVar = setTimeout(showPage, 3000);
    }

    function showPage(){
        document.getElementById('loader').style.display = "none";
        document.getElementById('stuff').style.display = "block";
    }
    </script>
</head>
<body onload="myFunction()">
    <div class="text-center d-flex align-items-center justify-content-center" id="loader"></div>
    
    <section class="container animate-bottom box3" id="stuff" style="display:none;">
        <h1 class="text-center d-flex align-items-center justify-content-center height1">Hello, I'm Yosafat Tri Putra Brata<br>How are you today?</h1>
        <div class="row">
            <div class="col-md-4">
                <div class="text-center d-flex align-items-center justify-content-center box1">
                    <h2>Activity & Experiences</h2>
                </div>
                <div class="accordion">
                    <h3 class="box2">Study</h3>
                    <div>I'm currently studying in University of Indonesia.</div>
                    <h3 class="box2">Playing</h3>
                    <div>I have nothing to write so this is it. I like to play Dota2, especially with friends. I'm also kinda like to play old games like games in PSX.</div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="text-center d-flex align-items-center justify-content-center box15">
                    <h2>Organization and Committee</h2>
                </div>    
                <div class="accordion">
                    <h3 class="box2">DPM Fasilkom 2017</h3>
                    <div>I'm a staff of Legislation and Judicative Division in DPM Fasilkom 2018.</div>
                    <h3 class="box2">DUIUJ15</h3>
                    <div>DUIUJ15 is a movement to help highschool student in Jambi Province to know better about University of Indonesia and motivate them to keep pursuing their dreams through better education. I'm a VPJ of LCC division.</div>
                    <h3 class="box2">DUIUJ14</h3>
                    <div>I'm used to be a staff in GTS division.</div>
                    <h3 class="box2">Pemira Fasilkom UI 2018</h3>
                    <div>I'm currently a staff at Verification and Supervision division</div>
                    <h3 class="box2">Paskibraka Xaverius 1 Jambi</h3>
                    <div>I'm used to be a secretary at Paskibraka Xaverius 1 Jambi organization.</div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="text-center d-flex align-items-center justify-content-center box1">
                    <h2>Achievement</h2>
                </div>
                <div class="accordion">
                    <h3 class="box2">Surviving</h3>
                    <div>I thought to be able to survive at this moment is my greatest achievement.</div>
                    <h3 class="box2">Blank</h3>
                    <div>I have nothing more. Really sorry.</div>
                </div>
            </div>
            <a class="text-center btn-sm btn-primary ternary-bg change" id="toogle-theme" onclick="change_style()" value="ORIGINAL">Change!!</a>
        </div>
    </section>
    
</body>
</html>

lab6/templates/landing.html
{% load static %}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'stylelanding.css' %}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Main Page</title>
</head>
<body>
    <h1 class="text-center d-flex align-items-center justify-content-center fullheight1">Hello, Apa kabar?</h1>
    <section class="container statussubmit text-center justify-content-center">
        <h3 class="test">What do you feel?</h3>
        <div class="row">
            <section class="col col-md-12 align-items-center">
                <form method="POST" action="">
                    {% csrf_token %}
                    <div class="">
                        {% for field in form.visible_fields %}
                         {{ field }}
                        {% endfor %}
                    </div>
                    <input type="submit" class="btn btn-info button_submit" value="Submit">
                </form>
            </section>
        </div>
    </section>
    <section class="container text-center justify-content-center statusfield">
        {% for status in statuses %}
        <section class="container text-center justify-content-center statusfield2">
            <p>{{ status.post }}<br>
                Posted at : {{ status.time }}</p>
            
        </section>
        {% endfor %}
    </section>
</body>
</html>

lab6/templates/loading.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Loading</title>
</head>
<body>
    <div class="text-center d-flex align-items-center justify-content-center loader"></div>
    <h2 class="text-center d-flex align-items-center justify-content-center">Please Wait..</h2>

</body>
</html>

lab6/templates/profile.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
    <head>

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static "stylefirstproject.css" %}">
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">

        
        <title>Profile</title>
    
    </head>
    <body>

        <header class="text-center full-height d-flex align-items-center justify-content-center">
                <div>
                    <h1>Hello, I'm Yosafat Tri Putra Brata</h1>
                    <h2>This is my website</h2>
                </div>
        </header>

        <section class="container">

            <div class="row" style="margin-bottom: 80px">
                <section class="col profile text-center justify-content-center">
                    <img class="profile_img" src="{% static "images/Screenshot_2018-09-18 Marvel - My First Project(3).png" %}">
                    <h2>
                        Name : Yosafat Tri Putra Brata <br>
                        NPM : 1706043430 <br>
                        Description : I'm currently studying in University of Indonesia.
                        I am  looking forward to learn more about the world and programming.
                    </h2>
                </section>
            </div>
        </section>
                
        <section class="container">

            <div class="row" style="margin-bottom: 80px">
                
                <section class="col text-center trackrecord">
                    <h2>Track Record :</h2>
                    
                    <h2>Graduated from :<br>
                    Xaverius 1 Jambi Elementary School<br>
                    Xaverius 1 Jambi Jenior High School<br>
                    Xaverius 1 Jambi Senior High School<br>
                    Currently studying at :<br>
                    University of Indonesia<br>
                    Skills :<br>
                    Coding in Python and Java<br>
                    Playing Bass<br>
                    Playing Guitar<br>
                    </h2>
                </section> 
            </div>
            

        </section>


        <section class="container mt-5 like">
            <h3 class="text-center">What I Like:</h3>
            <div class="row">
                
                <section class="text-center col col-md-3 retro">
                    <img src="{% static "images/Screenshot_2018-09-18 Marvel - My First Project(5).png" %}">
                    <p>Retro Games</p>
                </section>
                
                <section class="text-center col col-md-3 retro">
                    <img  src="{% static "images/Screenshot_2018-09-18 Marvel - My First Project(1).png" %}">
                    <p>Learn to play and<br>
                    listening to Music</p>
                </section>
                <section class="text-center col col-md-3 retro">
                    <img src="{% static "images/Screenshot_2018-09-18 Marvel - My First Project(2).png" %}">
                    <p>Watching shows</p>
                </section>
            </div>

        <footer>
            <div class="copyright">
                <p class="copy_text">(C)Copyright 2018 Yosafat Tri Putra Brata</p>
            </div>
        </footer> 

    
    </body>
</html>